Bug 11294 - desired vhost_alias option
Summary: desired vhost_alias option
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_vhost_alias (show other bugs)
Version: 2.0-HEAD
Hardware: All All
: P3 enhancement (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate, PatchAvailable
Depends on:
Blocks:
 
Reported: 2002-07-30 14:57 UTC by Will Holcomb
Modified: 2018-11-07 21:08 UTC (History)
1 user (show)



Attachments
Patch for mod_vhost_alias (2.74 KB, patch)
2004-02-21 18:17 UTC, Daniel Hokka Zakrisson
Details | Diff
Updated patch, which is against HEAD and an added hunk for merge_server_config. (3.04 KB, patch)
2004-05-29 22:39 UTC, Daniel Hokka Zakrisson
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Will Holcomb 2002-07-30 14:57:13 UTC
I think that it would be a useful feature in certain situations if it was
possible to control the behavior of what a directive does when it cannot complete.

For example if I try to do /%-2.0.%-1/%-3 on example.com currently I get
/example.com/_/ where I personally would like to simply drop the %-3 if it
doesn't exist. (I have a symlink to . named www in the directory, so
/example.com/www and /example.com are really the same directory.)

Maybe something like %n:r were r is the replacement character and may be empty.
Comment 1 Daniel Hokka Zakrisson 2004-02-21 18:17:49 UTC
Created attachment 10471 [details]
Patch for mod_vhost_alias
Comment 2 Daniel Hokka Zakrisson 2004-02-21 18:18:18 UTC
The attached patch adds a directive that allows you to define what the unset
parts should be replaced by. After applying the patch and building your new
mod_vhost_alias, add
VirtualUnsetPart "<replacement>"
to your httpd.conf. The default behaviour of mod_vhost_alias is not altered.
Comment 3 Daniel Hokka Zakrisson 2004-05-29 22:39:54 UTC
Created attachment 11695 [details]
Updated patch, which is against HEAD and an added hunk for merge_server_config.
Comment 4 William A. Rowe Jr. 2018-11-07 21:08:34 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.